body {
  margin: 0;
  font-family: Arial;
  background: #f5f5f5;
  /* color: #f5f5f5; */
  /* background: #292929; */
}

.detail-page {
  /* flex-direction: column; */
  align-items: flex-start !important;
  padding: 15px !important;
  gap: 5px;
}
.detail-meta {
  height: 60px;
}
.detail-page .button-box {
  /* padding: 100% 0; */
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.detail-page h3, .detail-page p {
  margin: 0;
}
.detail-page #detailCode {
  font-size: 12px;
  color: #999;
}

.hot-list {
  display: flex;
  overflow: scroll;
  margin: 5px 0;
}
.hot-list .hot-item {
  display: flex;
  flex-direction: column;
  text-wrap: nowrap;
}
.hot-list .hot-item .stock-top, .hot-list .hot-item .stock-bottom {
  width: 100%;
  display: flex;
  align-items: baseline;
  /* flex-direction: column; */
}
.hot-list .hot-item .stock-top {
  gap: 15px;
}
.hot-list .hot-item .stock-top .stock-price{
  font-size: 12px;
}

.banner img {
  width: 100%;
  height: 200px;
}
.search-box{
  text-align: center;
}
.search-box input {
  width: 98%;
  padding: 8px;
  margin-top: 3px;
  box-sizing: border-box;
  border-radius: 10px;
  /* background-color: #353535; */
  color: #f5f5f5;
  border: 1px solid #9999b3;
  outline: none;
}

.stock-item {
  background: #fff;
  /* background: #353535; */
  margin: 10px;
  padding: 10px;
  border-radius: 8px;
}

.up { color: green; }
.down { color: red; }

button {
  height: 30px;
  margin-top: 5px;
  padding: 6px 10px;
  border: none;
  background: #007bff;
  color: #fff;
  border-radius: 6px;
}

.nav {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  display: flex;
  background: #fff;
  /* background: #292929; */
  border-top: 1px solid #ddd;
}

.nav div {
  flex: 1;
  text-align: center;
  padding: 10px;
}

.nav .active {
  color: #007bff;
}

.popup {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #333;
  color: #fff;
  padding: 15px 20px;
  border-radius: 8px;
  display: none;
}
.stock-item {
  /* background: #313131; */
  background: #fff;
  margin: 10px;
  padding: 12px;
  border-radius: 12px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.stock-left {
  flex: 1;
}

.stock-name {
  font-size: 16px;
  font-weight: bold;
}

.stock-code {
  font-size: 12px;
  color: #999;
  margin: 4px 0;
}

.stock-price {
  font-size: 15px;
}

.stock-right {
  width: 90px;
  text-align: right;
}

.mini-chart {
  width: 90px;
  height: 40px;
}

.up {
  color: #e60000;
}

.down {
  color: #009933;
}

.detail-btn {
  margin-top: 6px;
  background: none;
  color: #007bff;
  padding: 0;
  font-size: 13px;
}
